set terminal postscript
set samples 2000
set key off
set xlabel "Time [s]"
set ylabel "Amplitude [mm]"

f(x)=a*exp(-d*x)*sin((2*pi/T)*x+fi)+s
s=1063
d=0.0002
a=430
T=498
fi=-0.1

set output "poloha2.ps"
fit f(x) "poloha2A.txt" using 1:2:3 via a,d,T,fi,s
plot "poloha2A.txt" using 1:2:3 with errorbars, f(x)

s=961
a=254
fi=-0.728

set output "poloha1.ps"
fit f(x) "poloha1B.txt" using 1:2:3 via a,d,T,fi,s
plot "poloha1B.txt" using 1:2:3 with errorbars, f(x)

#fit f(x) "poloha1A.txt" using 1:2:3 via a,d,T,fi,s

#plot "poloha1A.txt" using 1:2:3 with errorbars, "poloha2A.txt" using 1:2:3 with errorbars, "poloha1B.txt" using 1:2:3 with errorbars, f(x)
!ps2pdf poloha1.ps
!ps2pdf poloha2.ps

